Emacs broken in Mint 19

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
frisket
Level 1
Level 1
Posts: 20
Joined: Thu Dec 07, 2017 7:26 pm

Emacs broken in Mint 19

Post by frisket » Sat Feb 23, 2019 6:26 pm

I installed Mint 19 last Dec, and added Emacs via apt install. When I start Emacs, I get the error

Code: Select all

Error running timer ‘blink-cursor-start’: (wrong-type-argument listp 0.5) setq: Wrong type argument: listp, 0.7 [5 times]
repeated again and again, and the editor is unusable. I do not have any .emacs file (I do have one, but it's not installed yet). I raised this at https://emacs.stackexchange.com/questio ... rsor-start but while that identified a) how to start Emacs with no features on (use -Q); and b) one possible file related to the error (frame.el), the only concrete suggestion has been to compile from scratch, which is not an option.

I just installed Mint 19 on a new system, and the identical problem occurs.
Is any other Mint 19 user using Emacs, and if so, how?

octathlon
Level 2
Level 2
Posts: 61
Joined: Sat Jun 28, 2014 3:14 pm

Re: Emacs broken in Mint 19

Post by octathlon » Sat Feb 23, 2019 9:50 pm

I don't know how to help with your problem, but to answer your question, yes I'm running emacs on Mint 19.1 (Are you running 19.0 or 19.1?), installed from the repo, version 25.2.2. It works fine with no errors.
Mint 19 Cinnamon 64bit on Dell Inspiron N7110 Dual core Intel Core i5-2450M
Mint 19 XFCE 64bit on System76 Pangolin Intel Core 2 duo
Full-time Linux user since 2007, Mint since 2014

Post Reply

Return to “Software & Applications”